﻿<link rel="stylesheet" href="~/css/leaflet.css" />
<link rel="stylesheet" href="~/css/leaflet-routing-machine.css" />
<script src="~/js/lib/leaflet.js"></script>
<script src="~/js/lib/leaflet-routing-machine.min.js"></script>
<script src="~/js/lib/Control.Geocoder.js"></script>
<script src='https://api.mapbox.com/mapbox.js/v3.3.1/mapbox.js'></script>
<link href='https://api.mapbox.com/mapbox.js/v3.3.1/mapbox.css' rel='stylesheet' />

<link href="https://api.mapbox.com/mapbox-gl-js/v2.3.1/mapbox-gl.css" rel="stylesheet">
<script src="https://api.mapbox.com/mapbox-gl-js/v2.3.1/mapbox-gl.js"></script>

<script src="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-directions/v4.1.0/mapbox-gl-directions.js"></script>
<link rel="stylesheet" href="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-directions/v4.1.0/mapbox-gl-directions.css" type="text/css">
<script src='https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-language/v0.10.1/mapbox-gl-language.js'></script>


<style>
    #map {
        height: 800px;
        width: 1200px;
    }
</style>

<div id="map"></div>

<script>
    /*var map = L.map('map', {
        center: [0, 0],
        zoom: 2,
        layers: [outdoorsthunderforest],
        fullscreenControl: true
    }).setView([45.74, 4.83], 12);

    L.Routing.control({
        router: L.Routing.mapbox('pk.eyJ1IjoiaW1pcm9zbGF2aSIsImEiOiJja3FvNmp1czAwMHRwMnVzNWNscWF4MWlvIn0.hF6DIntxDBZcmGIe05sPzA')
        routeWhileDragging: true,
        geocoder: L.Control.Geocoder.nominatim()
    }).addTo(map);*/

    mapboxgl.accessToken = 'pk.eyJ1IjoiaW1pcm9zbGF2aSIsImEiOiJja3FvNmp1czAwMHRwMnVzNWNscWF4MWlvIn0.hF6DIntxDBZcmGIe05sPzA';
    L.mapbox.accessToken = mapboxgl.accessToken;

    var map = new mapboxgl.Map({
        container: 'map',
        style: 'mapbox://styles/mapbox/streets-v11',
        center: [4.85, 45.750000],
        zoom: 12
    });

    map.addControl(
        new MapboxDirections({
            accessToken: mapboxgl.accessToken
        }),
        'top-left'
    );


    /*L.control.layers({
        'Mapbox Streets': L.mapbox.styleLayer('mapbox://styles/mapbox/streets-v11').addTo(map),
        'Mapbox Light': L.mapbox.styleLayer('mapbox://styles/mapbox/light-v10'),
        'Mapbox Outdoors': L.mapbox.styleLayer('mapbox://styles/mapbox/outdoors-v11'),
        'Mapbox Satellite': L.mapbox.styleLayer('mapbox://styles/mapbox/satellite-v9')
    }).addTo(map);*/

</script>
